List Partner Integration Requests
List integration requests for the partner’s invitations/fleets.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
fleet_id
Filter by fleet_id
fleet_ref
Filter by fleet_ref
Response
Successful Response
id
Unique integration request identifier
ext_tsp_id
The external TSP that was requested for integration
ext_tsp_name
Name of the external TSP at the time of request
ext_tsp_compliance_status
Compliance status at the time of request. ‘compliant’ = at least one device registered, ‘non_compliant’ = ALL devices revoked, ‘unknown’ = not linked to a registry
Allowed values:
fleet_id
The fleet requesting integration
fleet_ref
External fleet identifier from the partner's system
partner_id
The partner requesting the integration
invitation_id
The related invitation for the fleet requesting the integration
created_at
When the integration request was created
updated_at
Last modification timestamp
fleet_contact_name
Contact name provided by the fleet
fleet_contact_notes
Notes provided by the fleet
integrated_tsp_ids
List of TSP IDs that are integrated for this external TSP. Empty if not yet integrated.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error